## telepathy-msn-pecan 0.1.0~rc2-0maemo4

=== Makefile ===
targets := pecan/libmsn-pecan.so \
	   tp-haze/telepathy-pecan \
	   tp-extras/libpecan-plugin.so

modules := purple pecan tp-haze tp-extras

all: $(targets)

export PKG_CONFIG_PATH=$(PWD):$(PWD)/purple/nss-fix

pecan/libmsn-pecan.so: purple/libpurple-mini-2.so
	$(MAKE) -C pecan

purple/libpurple-mini-2.so:
	$(MAKE) -C purple DESTDIR=$(PWD)/tmp install
	sed -e 's#@fake_prefix@#$(PWD)/tmp/usr#' \
		purple-mini-2.pc.in > \
		purple-mini-2.pc

tp-haze/telepathy-pecan: purple/libpurple-mini-2.so
	$(MAKE) -C tp-haze

tp-extras/libpecan-plugin.so:
	$(MAKE) -C tp-extras

install: $(targets)
	for x in $(modules); do \
		$(MAKE) -C $$x $@; \
	done

.PHONY: $(targets) clean

clean:
	for x in $(modules); do \
		$(MAKE) -C $$x $@; \
	done
