=== debian/changelog ===
telepathy-msn-pecan (0.1.0~rc2-0maemo4) unstable; urgency=low

  * Random improvements for maemo-extras

 -- Felipe Contreras <felipe.contreras@gmail.com>  Wed, 30 Dec 2009 16:51:21 +0200

telepathy-msn-pecan (0.1.0~rc2-0maemo3) unstable; urgency=low

  * Improve debug logging stuff

 -- Felipe Contreras <felipe.contreras@gmail.com>  Tue, 29 Dec 2009 20:10:28 +0200

telepathy-msn-pecan (0.1.0~rc2-0maemo2) unstable; urgency=low

  * Fix wrong libmsn-pecan.so location
  * Fix conflict with account-plugin-haze

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sun, 27 Dec 2009 00:49:45 +0200

telepathy-msn-pecan (0.1.0~rc2-0maemo1) unstable; urgency=low

  * Initial release

 -- Felipe Contreras <felipe.contreras@gmail.com>  Thu, 24 Dec 2009 01:57:42 +0200
