=== debian/control ===
Source: telepathy-msn-pecan
Section: user/network
Priority: extra
Maintainer: Felipe Contreras <felipe.contreras@gmail.com>
Build-Depends: debhelper (>= 5), librtcom-accounts-widgets-dev,
 libglade2-dev, libnss3-dev
Standards-Version: 3.8.0

Package: telepathy-msn-pecan
Architecture: any
Depends: ${shlibs:Depends}
Description: MSN protocol plug-in that uses msn-pecan
XB-Maemo-Display-Name: MSN (pecan) protocol plug-in
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgIfAhkiAAAABl0RVh0
 U29mdHdhcmUAd3d3Lmlua3NjYXBlLm9yZ5vuPBoAAApsSURBVGiB7Zl5bFzVFca/c98682Y8i2e8
 xrHHJrFTQtIsLC20SSQEpVmkttSVCiQtrVApbVGpSgGBaFWKYuiSkhZUQFCoVCoqUSgJUIpISWnK
 kt1JnN2OE9tjezzj2d+87faP2Ikdjyd2ALlIHOnoPemde9/3O7rLue8R5xwfZ2MzLeCD2icAM22f
 AMy0iTMtYKztuImqJcJtHPg6I0RtYD/n+MOiZ/n2ydrQ/8MyeqCVPKYLT4JJa4KhGlbmr1Acx4ah
 ZxHtOZqxHPvqJc/yd4u1nXGA3TfQHBLxut9fWVVR26RSZgg8FQU4B3xV0AU3urva05Zjz1/yDO8+
 t/2MzoFd6+hqiGxn9azm2ZWVdSo/uRtO/yHwfBJcT4H3H4YLJvzBKlFw8KVifcwYwK61tIyBXmxo
 mOcpkwTmdO8EjNyEOJ4egKb5XYzh+mL9zAjAjrV0OQM2za5v0VRGcKIdAHeKxvJ8Ei7NBw5aVOz5
 mVWoafXDczjwHDhvJKKTDvhfBG69fHTTPfs+TPG7b6A5gojX62bN9bgkCU7PvtPjfTLjHIwInBdP
 tng2znm4YXblomAwwJLpXCAxnJqbSKTujqxqS8Ome7quyP+J339/8TRN0f71TVL9Al6trWnyuF0a
 nJ69k2Z+HAM4iKho4Fiqy8KhIEtkDEiKgsaGWnXp4nne+oa6Gsklboxsd3U1rFz/FSLQhQIEHDzh
 D9fVeL1+5vS0A459/kZMgGNbAJFxHgDudThQMG0MDufR2ZdEfzyH8oAXixc2e2fX19bJkvR046qH
 OpquW3/pdMXv+gatFVXPlysr61xOzz7AsabUjhQPzEIOTFI6SwIQ0d50NgdVPrs5Z3UT3f0p9MYy
 KA+UYeGCud5AKNzMBbalaWVb29Klj0tTEn8jfYo4e2z27BY3Bo4CVmFK4gEAigYjn+UkuXeWBADH
 G8lk1vR5lAlB+YKF7v4UUlkDcyOViFxUr4mqclu8KnGgcXXbwlLv37uWNCbgldqaRpdkZsHTA1MX
 D4AUL3KGnocolgawwJ8ZGIyZIgPcSvESKZ7W0d2fQrlPw7yWiOYrDzVxjm1NK9tuHxvX2toqjN47
 hI1l3kCV11dOTv/haYkHMcDtRzo9JAgkvlES4MSmu45zjld6+2JWyO+etM+CaaMrmoRpOWhprKK6
 hjo3BOEXjWvaHhmd4OqJ4JZ1n7n10e030XJBEFsrZ7UQ+g8a4M60VjFy+1HIZ0Bg8Xm/PXmkJAAA
 cHLu64kOmMQ5gl510o45BwYSOfQOZVEb9qG5JaJJknRzZNVDL8754kYFjFTu8FveiV32Um3dPJOy
 gynLypEjMuKyCMgSIAqAwAAqsah5QkinhizBE35pspBxAJ1/v/sgt7Gx49CJXLlPhWuSoTRqOd3E
 8b4kZEnEwosbZbdGX5ACnXEnGJ/lLdOEHfEFnsG823KYzRyJiczjIVJFcNkBVwAoDFBFQJEAWQIX
 GDiBA7ABgLRyJNMJQ/BVPD8lAADo0hrv0XV9f2d31KoNeSAKpasNx+HoiSW5wXPi4sU1sqZUuTNy
 ebXDbaheN15oD3lR0eBhHjdxyQSXdEC2AdkGly1wyQSXTXDZArlUOJIAMOShlqUsh+uWodvNbPVb
 Uwbgz3/VdhysiUZj6f5YEvVVZZDFUhAOZNmklJEkLmWxYKkbfWIIeaMAj6axw8PVcneSiUJ5A7hU
 AJcx3hUAMgCZg8sWmKaRIcHFArWZVGrIkryhf6BEBVBUWefmH0cZp2u6Ok8me6NxXl9VNm5/GGuS
 bEFy6YCURH+mB1zKoHmFgLwtwLJsuDwa/W2blygUARQCFJx2+ayfgZEMkOoClyXi/monHushZdbF
 j5bI3uTV6LHNd26HTZefOtkbO3FqwKqr8CLgVcbNOUkyIKp5kJSFIOsQZR0JvQ+hMGA2EbJ6AZqm
 4Vg8RL3pMpDHPy7zZ7I/Bop8fkiNS5FMDbod0EDTnW9MOnxKAgDA8VfvPMRMa0lf3+DJ9gPHM25Z
 QEOVDy5FBBMMiGoBTM5CHBEvyDog5jFsRlGzgiGXLQBEUDQ3/vn2MFj4knGZxxkQAfCHQXULYfpm
 IXqym0W7Ozye5mX3Aii59E7pSDm/9WdyLuP6CRi/q6IqJDXWhcEUQzSQIJ0nYLMUJEWHpOahuHT4
 vRJI96L38TxqVBckSUQ2HsWG+xRYvX8+vXSSCsZUQPYBog/52DBSvQPIROPwL78Kw75414KVe5oB
 FC3ipgUwak1r2mY7nD0G2NeGQpIQqpRRUcPh8ZogZoJTARwFDPQBB3e7sHDpVsgvRxAKVCA5FMXN
 16Uxf0ESVnoQZk6Hlckjn8ggcyoBuVyEtqAKZYsbwLRLsP+tjbErbuTh82m6oEP9tRuqbqlQrnyk
 tzek9Byqhm2KEBQDomRBVAyEI6fQcOk++KoHMbz+81Bj9eDcQQ3fi1WRrRA9BNGvQAq4IFeWwTVX
 heBOgtsxgHMo5Xdg92sPmp9dx+Xzabmg70KKFt8VqDiit6zoUhLmqZKx2tfakfplEEF/OY4ONaDx
 p1fCTj8FznMAz4A7MQAOHHNsKwFgpbbos3ZBZ2LVNDuiw6ckDZVgVDoHUiQB5aIU8nkdIPC+E50g
 MQxux8GdHCbMUVLAHRMAz39kAM9/l2cKVuaJ3r5ePSjVnTe+/KbDyOppOJbAO3fv1EX3ChArXjAS
 U+FYOhghOxUtF/xVQtDNnx/vOmorPAi3ECgZS5UpVK/rhSPYdmwgt2uop92UvKuLCxLCMAvDANA3
 FR0XDPDCbXzI4vaDe9p35sJyE1ShbNJYm5vwLdKRXvvclvf269/v6XjTsG0/RNeSiYLkCLKJbos7
 2PSRAhARe+lb+q+GE8Nb2zv2FCqVuVCZt3gsCJxz2IYtPPLXvvTew/bdR95/IU/KCgjqp8dFCnIz
 4tFOYyiFN4novPqmDUBEAhGpADwAPO/+pnBrfzR26tCxdqtSbYZPqp7QRiAZNjdhWxABhL/zALb/
 d/vgrw5ue0Zn6nJI2goQ0yBpy5FLJ3km0Tnw7QdwAICHiNRSINMCICIRp6sWdcRd0YOgPU/ba7uP
 D3Tt2PteQWMhVKnNEOns2VokCflcwc7G7DiAcgDBH7Th7Xd2Dj7Z8e+nCulUwJEDd6BgNuLYrs2F
 Le/j9v5+yGPeoxKRMFHRNDcyIjqnkjlbV7rK4Vl2r7LeGxKvmDd/jhr21iJrx5E2BxCUZ2PfzuP5
 t//Y87sjr1l7cbo8MAAYN65Efeu1aA365c8VDOPw7gP4/Y9+jddHnhfGxBY45+YETdMEEDGhHBvv
 V90hXh9sYd/zh9xSJBKR/Z4QuClg63+2GK/8sLDWyKCA0ycuC4A54kZFEDQQR2Ys3Dme50XETruU
 GBmPo5mXxlzPeCAC39JbpFvdIboGRF7ihIH91oZtG6zNADhO717OGJCxMGegxgifkPkLBjgHZHRO
 SCP3oy6MOIssEysLOcvufR/DI015EYhzQQoADM75eT/ffWh/aEaAhHOcjbmO1jbnCndGhNsAnGLD
 pOR7Z/oX0we1j/1v1k8AZto+9gD/AxuCf3/EH1fzAAAAAElFTkSuQmCC

Package: telepathy-msn-pecan-dbg
Architecture: any
Depends: telepathy-msn-pecan (= ${binary:Version})
Description: Debugging symbols for telepathy-msn-pecan
