## telepathy-msn-pecan 0.1.0~rc2-0maemo5

=== debian/changelog ===
telepathy-msn-pecan (0.1.0~rc2-0maemo5) fremantle; urgency=high

  * Add .manager file due to old telepathy-glib; fixes problems on PR1.0
  * Don't rely on mission-control settings; sometimes they are reset
  * Manually update icons; seems to be required on PR1.0

 -- Felipe Contreras <felipe.contreras@gmail.com>  Tue, 05 Jan 2010 20:23:54 +0200
