=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: telepathy-msn-pecan
-Section: user/network
-Priority: extra
+Priority: optional
 Maintainer: Felipe Contreras <felipe.contreras@gmail.com>
 Build-Depends: debhelper (>= 5), librtcom-accounts-widgets-dev,
  libglade2-dev, libnss3-dev
 Standards-Version: 3.8.0
+XSBC-Bugtracker: http://code.google.com/p/msn-pecan/issues/
 
 Package: telepathy-msn-pecan
-Architecture: any
+Architecture: armel
+Section: user/network
 Depends: ${shlibs:Depends}
 Description: MSN protocol plug-in that uses msn-pecan
 XB-Maemo-Display-Name: MSN (pecan) protocol plug-in
@@ -63,6 +64,7 @@
  pOR7Z/oX0we1j/1v1k8AZto+9gD/AxuCf3/EH1fzAAAAAElFTkSuQmCC
 
 Package: telepathy-msn-pecan-dbg
-Architecture: any
+Section: debug
+Architecture: armel
 Depends: telepathy-msn-pecan (= ${binary:Version})
 Description: Debugging symbols for telepathy-msn-pecan
