## telepathy-msn-pecan 0.1.0~rc2-0maemo6

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 	   tp-extras/libpecan-plugin.so
 
 modules := purple pecan tp-haze tp-extras
+prefix := /usr
 
 all: $(targets)
 
@@ -13,7 +14,8 @@
 
 purple/libpurple-mini-2.so:
 	$(MAKE) -C purple DESTDIR=$(PWD)/tmp install
-	sed -e 's#@fake_prefix@#$(PWD)/tmp/usr#' \
+	sed -e 's#@fake_prefix@#$(PWD)/tmp#' \
+		-e 's#@prefix@#$(prefix)#' \
 		purple-mini-2.pc.in > \
 		purple-mini-2.pc
