=== debian/changelog ===
telepathy-msn-pecan (0.1.0~rc2-0maemo6) fremantle; urgency=low

  * Use maemo-optify
  * Fix architecture
  * Fix personal messages
  * Fix nickname setting

 -- Felipe Contreras <felipe.contreras@gmail.com>  Fri, 15 Jan 2010 02:52:26 +0200
