=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Priority: optional
 Maintainer: Felipe Contreras <felipe.contreras@gmail.com>
 Build-Depends: debhelper (>= 5), librtcom-accounts-widgets-dev,
- libglade2-dev, libnss3-dev
+ libglade2-dev, libnss3-dev, maemo-optify
 Standards-Version: 3.8.0
 XSBC-Bugtracker: http://code.google.com/p/msn-pecan/issues/
 
 Package: telepathy-msn-pecan
-Architecture: armel
+Architecture: any
 Section: user/network
 Depends: ${shlibs:Depends}
 Description: MSN protocol plug-in that uses msn-pecan
@@ -65,6 +65,6 @@
 
 Package: telepathy-msn-pecan-dbg
 Section: debug
-Architecture: armel
+Architecture: any
 Depends: telepathy-msn-pecan (= ${binary:Version})
 Description: Debugging symbols for telepathy-msn-pecan
