## telepathy-msn-pecan 0.1.0~rc3-0maemo1

=== debian/changelog ===
telepathy-msn-pecan (0.1.0~rc3-0maemo1) fremantle; urgency=low

  * Update to latest msn-pecan
  * Set dependencies manually

 -- Felipe Contreras <felipe.contreras@nokia.com>  Thu, 28 Jan 2010 04:37:21 +0200
