=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
 Package: telepathy-msn-pecan
 Architecture: any
 Section: user/network
-Depends: ${shlibs:Depends}
+Depends: ${misc:Depends}, libtelepathy-glib0, libnss3, libnss3-certs,
+ libglade2-0, librtcom-accounts-widgets0
 Description: MSN protocol plug-in that uses msn-pecan
 XB-Maemo-Display-Name: MSN (pecan) protocol plug-in
 XB-Maemo-Icon-26:
