## telepathy-msn-pecan 0.1.0~rc3-0maemo2

=== debian/changelog ===
telepathy-msn-pecan (0.1.0~rc3-0maemo2) fremantle; urgency=low

  * Fix crash related to offline messages
  * Fix nickname reset
  * Fix for emtpy offline messages
  * Initialize proxy properly
  * Install TLS certs for offline messages servers

 -- Felipe Contreras <felipe.contreras@gmail.com>  Thu, 04 Feb 2010 02:19:03 +0200
