## telepathy-msn-pecan 0.1.0~rc4-0maemo1

=== debian/changelog ===
telepathy-msn-pecan (0.1.0~rc4-0maemo1) fremantle; urgency=low

  * Ton of fixes from msn-pecan
  * Update to latest msn-pecan
  * Improve proxy support
  * Fix a bunch of crashes

 -- Felipe Contreras <felipe.contreras@gmail.com>  Wed, 10 Feb 2010 23:36:48 +0200
