## telepathy-msn-pecan 0.1.0~rc4-0maemo2

=== debian/changelog ===
telepathy-msn-pecan (0.1.0~rc4-0maemo2) fremantle; urgency=low

  * Fix a few invalid memory accesses

 -- Felipe Contreras <felipe.contreras@gmail.com>  Thu, 11 Feb 2010 22:56:29 +0200
