## telepathy-msn-pecan 0.1.0-0maemo1

=== debian/changelog ===
telepathy-msn-pecan (0.1.0-0maemo1) fremantle; urgency=high

  * Update to msn-pecan 0.1.0 (final)
  * Fix open conversation regression

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sat, 27 Feb 2010 18:53:44 +0200
