## telepathy-msn-pecan 0.1.0-0maemo2

=== debian/changelog ===
telepathy-msn-pecan (0.1.0-0maemo2) fremantle; urgency=low

  * Fix build regression

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sat, 27 Feb 2010 21:31:55 +0200
