## telepathy-msn-pecan 0.1.0-0maemo3

=== purple/Makefile ===
--- 
+++ 
@@ -30,6 +30,7 @@
 
 ifneq ($(PLATFORM),mingw32)
 override CFLAGS += -DBR_PTHREADS=0 \
+	-DMODULE=\"$(module)\" \
 	-DDATADIR=\"$(datadir)\" \
 	-DLIBDIR=\"$(plugindir)\" \
 	-DLOCALEDIR=\"$(datadir)/locale\" \
