=== tp-haze/Makefile ===
--- 
+++ 
@@ -74,6 +74,8 @@
 install: $(app) data/$(service)
 	mkdir -p $(D)/$(datadir)/dbus-1/services
 	install -m 664 data/$(service) $(D)/$(datadir)/dbus-1/services
+	mkdir -p $(D)/$(datadir)/telepathy/managers
+	install -m 644 data/pecan.manager $(D)/$(datadir)/telepathy/managers
 	mkdir -p $(D)/$(libexecdir)
 	install -m 755 $(app) $(D)/$(libexecdir)
