=== debian/changelog ===
telepathy-msn-pecan (0.1.0-0maemo3) fremantle; urgency=high

  * Fix constant oim auth on daylight savings time; was causing high resource
    usage and preventing oims to work

 -- Felipe Contreras <felipe.contreras@nokia.com>  Sun, 23 May 2010 22:08:07 +0300
