=== tp-extras/Makefile ===
--- 
+++ 
@@ -66,7 +66,7 @@
 	mkdir -p $(D)/$(datadir)/icons/hicolor/48x48/hildon
 	install -m 644 data/im-msn-haze.png $(D)/$(datadir)/icons/hicolor/48x48/hildon/im-msn-pecan.png
 	mkdir -p $(D)/$(plugindir)/xml
-	install -m 644 data/longcat-advanced.glade $(D)/$(plugindir)/xml/longcat-pn-advanced.glade
+	install -m 644 data/longcat-advanced-1.glade $(D)/$(plugindir)/xml/longcat-pn-advanced-1.glade
 
 %.o:: %.c
 	$(QUIET_CC)$(CC) $(CFLAGS) -MMD -o $@ -c $<
