=== tp-haze/Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 
 objects := connection-aliasing.o \
            connection-avatars.o \
+           connection-capabilities.o \
            connection.o \
            connection-presence.o \
            connection-manager.o \
