=== debian/changelog ===
telepathy-msn-pecan (0.1.0-0maemo4) fremantle; urgency=low

  * Update internal telepathy-haze to v0.3.4
  * Update internal telepathy-extras to v0.8
  * Woraround for "New IM" bug; backporting capabilities interface from
    telepathy-haze

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sat, 12 Jun 2010 17:26:33 +0300
