=== debian/control ===
--- 
+++ 
@@ -63,6 +63,7 @@
  GBmPo5mXxlzPeCAC39JbpFvdIboGRF7ihIH91oZtG6zNADhO717OGJCxMGegxgifkPkLBjgHZHRO
  SCP3oy6MOIssEysLOcvufR/DI015EYhzQQoADM75eT/ffWh/aEaAhHOcjbmO1jbnCndGhNsAnGLD
  pOR7Z/oX0we1j/1v1k8AZto+9gD/AxuCf3/EH1fzAAAAAElFTkSuQmCC
+XB-Maemo-Upgrade-Description: Workaround "New IM" bug.
 
 Package: telepathy-msn-pecan-dbg
 Section: debug
