## telepathy-msn-pecan 0.1.2

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,8 @@
 	for x in $(modules); do \
 		$(MAKE) -C $$x $@; \
 	done
+	mkdir -p $(DESTDIR)/$(prefix)/share/purple-mini-2/ca-certs
+	install -m 644 certs/* $(DESTDIR)/$(prefix)/share/purple-mini-2/ca-certs
 
 .PHONY: $(targets) clean
