=== pecan/Makefile ===
--- 
+++ 
@@ -21,25 +21,25 @@
 
 CFLAGS := -O2
 
-ifdef DEBUG
-  CFLAGS += -ggdb
-endif
-
-ifdef DEVEL
-  CFLAGS += -DPECAN_DEVEL
-endif
-
 EXTRA_WARNINGS := -Wall -Wextra -Wformat-nonliteral -Wcast-align -Wpointer-arith \
 	-Wbad-function-cast -Wmissing-prototypes -Wstrict-prototypes \
 	-Wmissing-declarations -Winline -Wundef -Wnested-externs -Wcast-qual \
 	-Wshadow -Wwrite-strings -Wno-unused-parameter -Wfloat-equal -ansi -std=c99
 
-SIMPLE_WARNINGS := -Wextra -ansi -std=c99 -Wno-unused-parameter
+SIMPLE_WARNINGS := -Wall -Wextra -ansi -std=c99 -Wno-unused-parameter -Wmissing-prototypes
 
 OTHER_WARNINGS := -D_FORTIFY_SOURCE=2 -fstack-protector -g3 -Wdisabled-optimization \
 	-Wendif-labels -Wformat=2 -Wstack-protector -Wswitch
 
-CFLAGS += -Wall # $(EXTRA_WARNINGS)
+CFLAGS += -Wall $(SIMPLE_WARNINGS)
+
+ifdef DEBUG
+  override CFLAGS += -ggdb
+endif
+
+ifdef DEVEL
+  override CFLAGS += -DPECAN_DEVEL
+endif
 
 override CFLAGS += -D_XOPEN_SOURCE
 override CFLAGS += -I. -DENABLE_NLS -DHAVE_LIBPURPLE -DPURPLE_DEBUG
@@ -90,6 +90,7 @@
 	   pn_status.o \
 	   pn_oim.o \
 	   pn_dp_manager.o \
+	   pn_auth.o \
 	   cmd/cmdproc.o \
 	   cmd/command.o \
 	   cmd/msg.o \
@@ -116,6 +117,7 @@
 
 ifdef DIRECTCONN
   objects += cvr/pn_direct_conn.o
+  objects += io/pn_dc_conn.o
   override CFLAGS += -DMSN_DIRECTCONN
 endif
 
@@ -139,7 +141,6 @@
 sources := $(objects:.o=.c)
 deps := $(objects:.o=.d)
 
-PO_TEMPLATE := po/messages.pot
 CATALOGS := ar da de eo es fi fr tr hu it nb nl pt_BR pt sr sv tr zh_CN zh_TW
 
 ifeq ($(PLATFORM),darwin)
@@ -155,15 +156,16 @@
 endif
 
 ifdef STATIC
-  plugin := libmsn-pecan.a
-  override CFLAGS += -DPURPLE_STATIC_PRPL
+  SHLIBEXT := a
+  override CFLAGS += -DSTATIC_PECAN
 else
-  plugin := libmsn-pecan.$(SHLIBEXT)
 ifneq ($(PLATFORM),mingw32)
   override CFLAGS += -fPIC
 endif
 endif
 
+plugin := libmsn-pecan.$(SHLIBEXT)
+
 .PHONY: clean
 
 all: $(plugin)
@@ -171,13 +173,13 @@
 version := $(shell ./get-version)
 
 # pretty print
-V = @
-Q = $(V:y=)
-QUIET_CC    = $(Q:@=@echo '   CC         '$@;)
-QUIET_LINK  = $(Q:@=@echo '   LINK       '$@;)
-QUIET_CLEAN = $(Q:@=@echo '   CLEAN      '$@;)
-QUIET_MO    = $(Q:@=@echo '   MSGFMT     '$@;)
-QUIET_WR    = $(Q:@=@echo '   WINDRES    '$@;)
+ifndef V
+QUIET_CC    = @echo '   CC         '$@;
+QUIET_LINK  = @echo '   LINK       '$@;
+QUIET_CLEAN = @echo '   CLEAN      '$@;
+QUIET_MO    = @echo '   MSGFMT     '$@;
+QUIET_WR    = @echo '   WINDRES    '$@;
+endif
 
 D = $(DESTDIR)
 
@@ -196,7 +198,7 @@
 $(plugin): LIBS := $(plugin_libs)
 
 messages.pot: $(sources)
-	$(XGETTEXT) -kmc --keyword=_ --keyword=N_ -o $@ $(sources)
+	$(XGETTEXT) -m -c --keyword --keyword=_ --keyword=N_ -o $@ $^
 
 %.dylib::
 	$(QUIET_LINK)$(CC) $(LDFLAGS) -dynamiclib -o $@ $^ $(LIBS)
@@ -233,8 +235,7 @@
 	bzip2 /tmp/$(base).tar
 
 install: $(plugin)
-	mkdir -p $(D)/$(PURPLE_PLUGINDIR)
-	install $(plugin) $(D)/$(PURPLE_PLUGINDIR)
+	install -D $(plugin) $(D)/$(PURPLE_PLUGINDIR)/$(plugin)
 	# chcon -t textrel_shlib_t $(D)/$(PURPLE_PLUGINDIR)/$(plugin) # for selinux
 
 uninstall:
@@ -243,9 +244,32 @@
 	rm -f $(D)/$(PURPLE_DATADIR)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
 	done
 
-install_locales: $(foreach e,$(CATALOGS),po/$(e).mo)
-	for x in $(CATALOGS); do \
-	install -D po/$$x.mo $(D)/$(PURPLE_DATADIR)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
-	done
+update_locales: messages.pot
+	for x in $(CATALOGS); do \
+	msgmerge -N -U --backup=off po/$$x.po $<; \
+	done
+
+locales: $(foreach e,$(CATALOGS),po/$(e).mo)
+
+install_locales: locales
+	for x in $(CATALOGS); do \
+	install -m 644 -D po/$$x.mo $(D)/$(PURPLE_DATADIR)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
+	done
+
+win32-check:
+	test -f win32/libintl.dll.a
+
+win32: D := libmsn-pecan
+win32: win32-check $(plugin) locales
+	mkdir -p $(D)/plugins
+	cp $(plugin) libmsn-pecan-$(version)-dbg.dll
+	$(CROSS_COMPILE)strip $(plugin)
+	cp $(plugin) $(D)/plugins/
+	for x in $(CATALOGS); do \
+	mkdir -p $(D)/locale/$$x/LC_MESSAGES/; \
+	cp po/$$x.mo $(D)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
+	done
+	cp COPYING $(D)
+	tar -cf /tmp/libmsn-pecan.tar $(D)
 
 -include $(deps)
