=== debian/changelog ===
telepathy-msn-pecan (0.1.2) fremantle; urgency=low

  * Update msn-pecan to v0.1.2

 -- Maemo Multimedia <multimedia@maemo.org>  Sat, 30 Apr 2011 19:45:12 +0300
