=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,14 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	$(MAKE) DESTDIR=$(CURDIR)/debian/msn-pecan install
+	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
 
 binary-indep: build install
 
 binary-arch: build install
 	dh_testdir
 	dh_testroot
+	dh_install --sourcedir=debian/tmp
 	dh_strip --dbg-package=telepathy-msn-pecan-dbg
 	dh_compress
 	dh_fixperms
